2005-02-15 mikmak
  * M3 ready

2005-02-13 gaspojo (patch)
  * libyzis
    add support for commands : guu/gugu and gUgU/gUU
    
2005-02-12 mikmak
  * libyzis
	added error handling when writing a file fails
	added error handling when opening a file fails

2005-02-01 mikmak
  * kyzis
    fix 2 similar crashes with 2 different sources. We are on the way to M3
    now :)

2005-01-02 mikmak
  * libyzis/nyzis
    ported to Qt4 >beta1

2004-12-13 panard
  * libyzis
  	add *, g*, # and g# command

2004-12-10 apt-drink (patch)
  * translations
    added spanish translation

2004-12-01 panard
  * libyzis
  	visual selection synchronisation with X11 Clipboard
  * nyzis
  	support utf8 display

2004-11-28 mikmak
  * libyzis
 	support running lua functions for mappings

2004-11-16 mikmak
  * libyzis
  	initial implementation for events
  	
2004-11-01 panard
  * libyzis
  	support <filename>:<line> to open <filename> and scroll to <line> line.

2004-11-01 mikmak
  * libyzis
  	new :highlight command !
  	
2004-10-31 mikmak
  * libyzis
    support new attributes for characters : bold, underline, overline, strikeout, italic, underline
  * kyzis
    support displaying new libyzis attributes :)
    
2004-10-28 mikmak
  * libyzis
  	new enew ex command
	new :syn (on/off) command to enable/disable syntax HL
  * kyzis
  	replaced DCOP calls with normal C functions calls (faster)
  	
2004-10-26 mikmak
  * libyzis
  	reworked completion commands, moved it to a full independant mode
  	
2004-10-25 mikmak
  * libyzis
  	new incsearch option
  	new hlsearch option
  	
2004-10-12 morbuz, Erlend Hamberg (patch)
  * kyzis
  	scroll the view instead of moving the cursor
  	
2004-09-29 panard
  * libyzis
  	add <,>, :<,:> like commands

2004-09-26 mikmak
  * libyzis
  	make :map command working (normal mode key mapping)
  	new :imap command (insert mode key mapping)
  	
2004-09-24 mikmak
  * libyzis
  	new listchars option
  	
2004-09-17 philippe
  * libyzis
  	- more bug fixing for lua binding
  	- tests for all yzis lua functions
  	- :lua now working

2004-09-15 panard
  * libyzis
  	Range support for ExCommands

2004-09-11 orzel
  * nyzis
  	support the CTRL modifier

2004-09-11 philippe
  * libyzis
  	- bug fixing and improvement of the lua binding
  	- tests for most of yzis lua functions

2004-09-10 mikmak
  * all
  	support Unsermake ;)
  * libyzis
  	Forward word completion with <CTRL>x<CTRL>n
  	Backward word completion with <CTRL>x<CTRL>p

2004-09-10 orzel
  * nyzis
    Now use a QEventLoop combined with our own loops. A lot cleaner.

2004-09-07 panard
  * kyzis, nyzis
    :set rightleft support

2004-08-27 Adam Connell (patch)
  * libyzis
    z., z+, z-, z<ENTER> commands

2004-08-24 mikmak
  * gyzis NEW
    new gnome frontend, HELP WANTED

2004-08-23 Adam Connell (patch)
  * libyzis
    add 'I' command

2004-08-13 panard
  * libyzis, kyzis
    use X11 clipboard
  * libyzis
    sticky column on wrapped lines

2004-08-12 adymo (patch)
  * kyzis
    KTextEditor ConfigInterface

2004-08-12 mikmak
  * libyzis
    added 'r' command

2004-08-11 mikmak
  * libyzis
    improved loading time with big files
    
2004-08-11 panard
  * libyzis
    add '~' command
  * kyzis
    added opacity setting for the transparent background

2004-08-10 panard
  * libyzis
    :<line>, gg, G, <line>gg and <line>G

2004-08-10 mikmak
  * nyzis
    make it use a transparent background
  * kyzis
    added option to have transparent background

2004-08-09 mikmak
  * M2 ready

2004-08-09 orzel
  * nyzis
    fix color bugs
    fix ncurses use (was severly wrong)
    some beautifiction

2004-08-09 panard, poizon
  * libyzis
    fixed 'w' and 'b' motions

2004-08-06 mikmak
  * libyzis
    initial swapfile recovering support
    'd[0-9]*w' command is back
    'd[0-9]*b' command is back
    'c*' commands are back
  * all
    autodetect pslib at configure time
    new option 'printer' to choose which backend to print with

2004-07-30 mikmak
  * libyzis
  	support for recording/playing macros (q -> record, @->play)
  * kyzis
  	support for KTextEditor::HighlihgtingInterface ,
	KTextEditor::UndoInterface
	
2004-07-29 mikmak
  * libyzis
  	^ motion is back
	<CTRL>l is back
	<CTRL>R is fixed

2004-07-28 mikmak
  * libyzis
  	initial rework of the option system

2004-07-19 mikmak
  * scripts
    initial 2html.lua script
  * libyzis
    merged poizon's work into trunk (rewrite of the commands/motion engine)

2004-07-12 mikmak
  * libyzis
    cindent support

2004-07-12 panard
  * libyzis, kyzis
    support for non-fixed fonts

2004-07-06 panard
  * libyzis
    syntax highlighting detection using file content
  * kyzis
    basic configuration for fonts and bg/fg colors

2004-07-05 mikmak
  * libyzis
    added updatecount option (number of inputs before flushing swapfile to disk)

2004-07-03 panard
  * libyzis
    added Visual Line mode

2004-06-30 mikmak
  * libyzis
    add support for local buffer/view options
    new :setlocal command

2004-06-27 mikmak
  * libyzis
    prepare for swapfile support

2004-06-04 mikmak
  * libyzis
    add d`a like commands (delete to marks)
    add d% command
    
2004-06-03 mikmak
  * libyzis
    add % normal command
    add ` and ' normal commands for markers

2004-06-03 panard
  * libyzis
    marker support

2004-06-02 bmc
  * libyzis
    basic open mode support
  * kyzis
    basic open mode support

2004-06-01 panard
  * libyzis
    add 'c' commands ( cw, c$... )

2004-05-31 mikmak
  * libyzis
    better handling of CTRL,SHIFT,ALT so that they can be used for commands
    start of visual mode

2004-05-30 mikmak
  * kyzis
    added a vertical scrollbar

2004-05-28 mikmak
  * libyzis
    add d^ command

2004-05-28 panard
  * libyzis
    text selection support

2004-05-27 mikmak
  * libyzis
    add dh, dj, dk, dl commands

2004-05-27 bmc
  * libyzis
    added screen refresh after undo
    started work on open mode

2004-05-26 mikmak
  * libyzis
    support for d[0-9]*b commands (deleting words backwards)

2004-05-26 bmc
  * kyzis
    Fix segfault before libkyzispart is loaded
  * nyzis
    Fix bug in color display on Linux console
    Fix segfault in xterm

2004-05-21 mikmak
  * libyzis
    initial support for motions

2004-05-21 panard
  * libyzis
    basic support for printing ( :print output.ps )
  * kyzis
    'paste' is now supported

2004-05-9 mikmak
  * libyzis
    add Lua 5.0 support through a :source command
    added a text(int viewId, int startCol, int startLine, int endCol, int
    endLine) function for Lua bindings

2004-05-1 mikmak
  * libyzis
    basic support for substitute command

2004-04-28 mikmak
  * libyzis
    - new :mkyzisrc EX command to create an yzis.conf file in the current
    directory
    - add caching of HL information in ~/.yzis/hl.conf, should speed up start time

2004-04-27 panard
  * libyzis
    wrap lines support

2004-04-27 mikmak
  * libyzis
    add :set command to change options
    config file ~/.yzis/yzis.conf read at startup (see doc/examples/yzis.conf
    for an example)

2004-04-26 mikmak
  * libyzis
    add options support

2004-04-26 panard
  * kyzis
    add support for line numbers    

2004-04-25 mikmak
  * libyzis
    replace our storage with a QValueVector, much faster for random access ;)
    detect context changes in HL and update recursively affected lines

2004-04-25 panard
  * libyzis
    major API improvments which permits :
        - faster drawings
        - relative cursor deplacement in libyzis
        - allowing major performance improvments
        - new TABs handling allowing tabshift/tabwidth handling
    
2004-04-22 mikmak
  * all
    fix the "i cant leave EX mode" bug

2004-04-20 mikmak
  * all
    KDE is no more a requirement, you can compile nyzis alone now

2004-04-20 orzel
  * libyzis
    cleaning key handling code
  * nyzis
    handle resizing from embedding xterm/konsole/..
    bug fixing + copying vim look/behaviour
    cleaning key handling code
    handle Qt events from qt main event loop

2004-04-19 everyone
  * M1 ready

2004-04-19 orzel
  * so many bugfixes that we stopped counting them :)
  
2004-04-18 mikmak
  * libyzis
    enable Syntax Highlighting support + bugfixes
    autodetect filetype to guess which HL to enable
  * kyzis
    redraw line char by char and add syntax highlighting attributes

2004-04-16 mikmak
  * kyzis
    patch from ita to a kconfig settings stuff to kyzis

2004-04-15 mikmak
  * libyzis
    added a signal whenever the filename is changed
  * kyzis 
    properly display the filename in the tabbar

2004-04-14 mikmak
  * all
    add horizontal scrolling support
  * translations
    added .nl translation (contributed by Mathieu Kooiman)

2004-04-13 mikmak
  * all
    added an information status message to be added in GUIs
    support pageUp and pageDown
  * kyzis
    display the message :)

2004-04-12 philippe
  * tests
    . more tests on undo
	. more tests on buffer operations

  * libyzis
    . bugfixes on buffer handling
	. bugfixes on buffer undo
	. code clean-up

2004-04-12 mikmak
  * all
    display a splash screen on startup with no files loaded
    make q and qall work as expected (one more thing todo to get the same
    behavior as vim)

2004-04-10 mikmak
  * all
    add support for internationalisation through Qt's tr() stuff
    added translations/ directory where will reside our translations
    (translators now needed ! :)
  * nyzis
    add a QApplication/QTranslator in main to support translation of QStrings
  * kyzis
    support new translations system, however the kpart won't be translated
    when used in other apps. Nothing I can do about it ...
    
2004-04-04 mikmak
  * libyzis
    disables views updates during a ::load => speed up loading huge files
    ask GUI to popup a file dialog when a file is "new" and no filename was
    given before
  * kyzis
    make KAction system working
    make save and saveAs action working

2004-04-03 mikmak
  * kyzis
    viewcursorinterface, patch by Mathieu Kooiman (yzis now runs in quanta)

2004-04-01 mikmak
  * kyzis
    patch from Mathieu Kooiman : implement KTextEditor::EditInterface

2004-03-30 mikmak
  * libyzis
    add search support with commands : / and ?
    add command 'n'

2004-03-22 philippe
  * libyzis
    . undo support is now working
  * tests
  	. undo tests are passed successfully

2004-03-07 mikmak
  * nyzis
    update to current libyzis API (compile fixes)
  * all
    drop all events stuff, use direct C++ calls instead
  * libyzis
    changed (normal mode) commands API with helper functions as initially
    designed by Phil

2004-03-06 philippe
  * tests
    . add tests for switching between command mode and insert mode
	. add tests for up,down,left,right cursor movement
	. add tests for 0,^,$ cursor movement
	. add tests for gg,G cursor movement
  * libyzis
	. add a method to move to the first non-blank character of a line
    . fix gg,G (non-blank character of the line)
	. add command 0 and fix command ^

2004-02-28 mikmak
  * libyzis
    improve 'dd', make it copy its content to the register
    added 'd$' and 'D' commands (with register support)
    added replaceLine() in Buffer

2004-02-27 mikmak
  * libyzis
    basic support for options management
    basic support for registers (copy/paste)

2004-02-23 philippe
  * libyzis
  	add a YZASSERT() macro to report things that should not happen
	make YZBuffer report and reject any out of limit argument
  * tests
  	add tests for the char operations on buffer
	add more tests on the line operations

2004-02-24 mikmak
  * kyzis
    remove duplication of currentView, use the one from libyzis/session.cpp
  * libyzis
    replaced the QValueList of views with a QPtrList

2004-02-24 orzel
  * all
    add a make rule for tests
    change gg/G behaviour so that first line is '1' and not 0 from the user pov
  * nyzis
    fix misc stupid bugs
    makes EX works
    catch ^C and sends an escape char to the core instead of stupidely quits

2004-02-23 orzel
  * all 
    fix compilation with autodetection of autoconf-2.59
    fix (x,y) display in statusbar to look like in vim (but for tabs, still undone)
  * libyzis
    use /tmp/yzisdebug.log instead of /tmp/test.log
    fixed bogus var names in cursor event (x was actually line #...)
  * nyzis
    implements an event loop
    integrates event loop with libyzis
    actual use of multi{buffer,view}s..
    use Gui and YZSession the same way kyzis does for consistency
    use mkstemp() for creating temporary filename
    print filename command line when opening a new file

2004-02-23 philippe
  * yzis
  	Introduce a test framework for libyzis
	Add a few tests for line methods

2004-02-23 mikmak
  * kyzis
    support displaying TABs. doh I have tabstops and tabarrays !
    support adding TABs
  * libyzis
    support DEL key in command mode

2004-02-22 mikmak
  * libyzis
    fix bugs and make :bp and :bn actually do something usefull
    support for :bd
    fix keyboard arrow keys not behaving like h,j,k,l in command mode
  * kyzis
    fix some repaint bugs

2004-02-21 mikmak
  * all
    add popupMessage to display messages from core in Guis (for errors)
  * kyzis
    use KDE's fixed font as default
  * libyzis
    support :e relativeFilePath :)
    fix a so so so so stupid bug, buffers were recorded with no name in
    session, so only one buffer was added to session's list => now multibuffer
    is really usable !

2004-02-16 mikmak
  * all 
    updated admin/ dir
  * kyzis
    added contributed icons from ita (Thomas Nagy)

2004-02-16 luci (new to Yzis, welcome luci :)
  * libyzis
    implement command history in EX mode
    
2004-02-08 mikmak
  * libyzis
    fix column count when line is empty
    fix moveLeft() and moveUp() when getX() or getY() are 0 already
  * kyzis
    go to EX mode when click on the command line
    refuse to move the cursor with mouse when in EX mode
  * all
    license all files : kyzis GPLv2 , nyzis GPLv2, libyzis LGPLv2.x

2004-02-07 mikmak
  * kyzis
    fixed "File New" to open a new tab and not a new window
    support for <TAB> (currently insert 4 spaces :)
    support for backspace :) (rhaaa it's good !)

2004-02-06 mikmak
  * all
    cleanup
    added convention for coding

2004-02-05 mikmak
  * kyzis
    fix ~ position, one line was missing
  * libyzis
    fix opening an empty buffer/file with addLine(" ");
    fix another signed/unsigned problem in gotoxy

2004-02-04 mikmak
  * all
    fixed unsigned/signed stuff
    cleanup documentation
    harmonised mMember notation in buffer and view
  * kyzis
    support opening multiple files from command line
    create a temp file for first default buffer if no files are passed as
    arguments
  * all
    some more doc

2004-02-01 mikmak
  * libyzis / kyzis
    support :edit myfile :)

2004-02-01 mikmak
  * all
    support editing multiple files (open files from kyzis menu)

2003-11-26 mikmak
  * kyzis
    move to KMdi :) (kyzis works again)

2003-11-23 mikmak
  * all
    - Doxified Yzis, run 'make apidox' to generate the doc

2003-11-02 mikmak
  * libyzis
    - use of QRegExps for command line parsing : commands are assumed to use the
     following scheme : numberCommandName<space>any_parameters 
    - EX mode ready for use ;) :
     in commands.cpp you enter new commands, for eg "write" command, which can
     be also found by our matching algorithm as "w"
    - o at EOF, now opens a new line properly (was a regression)
    - support filename as :write parameters
    - added ~ display in kyzis

2003-11-01 mikmak
  * kyzis
    fix command line to not display twice the caracters
  * libyzis
    ESC while EX mode clears the command line

2003-10-31 mikmak
  Happy Halloween ;)
  * all
    renamed all source files to remove yz_ and kyzis_ and nyz_ prefix
    EX mode fixes : cursor does not move when typing in the command line
  * yzis
    make initialiseKeycodes() really used ;) (helps a lot making yzis working)
  * libyzis
    added :edit support
    added :quit support

2003-10-30 mikmak
  * kyzis
    moved pics to a subdir
  * libyzis
    prepare multibuffer support / added :bnext
  * cyzis
    dropped until someone really works on it (and that won't be me ;)

2003-10-01 mikmak
  * libyzis/kyzis
    some cleanup 
    make space work again 
    add support for the Meta key , nyzis seems has it since the beginning (it
    does not care about it)

  * all
    moved GUI interface out from *view.h
    added a UID to views
    many improvments to prepare multi-buffer/multi-view

2003-09-30 mikmak
  * nyzis
    supprt for CTRL and SHIFT keys, this is a bad hack but ncurses test
    program does it that way ... (on linux we could use ioctl too)
  * libyzis
    actually make "bad inputs detection" work and let "dd" and "gg" work again

2003-09-29 mikmak
  * libyzis/kyzis
    support for Shift/Ctrl/Alt added (yes one can type UPPER case text now ;)

2003-09-28 mikmak
  * libyzis (command mode) 
    improve "bad inputs" detection so that we purgeInputBuffers() and wait for
    a correct command

2003-09-27 mikmak
  * libyzis/kyzis
    fix destructors and references so that it no longer crash at exit

2003-08-31 mikmak
  * libyzis
    support movement keys in all modes
  * nyzis
    fixed keycodes mapping with Qt, yzis is usable again

2003-08-28 mikmak
  * all
    make EX mode actually working :)

2003-08-28 ita
  * kyzis
    reworked the statusbar to make it nice

2003-08-28 mikmak
  * libyzis
    add yzDebug(), the debug class ;)
  * kyzis
    added KLineEdit command bar

2003-08-26 mikmak
  * admin
    update to current kde-common/admin

2003-06-15 mikmak
  * libyzis
     basic Ex support, this will be changed in a future Milestone anyway

2003-06-09 mikmak
  * kyzis
     adding status bar informations for cursor position like nyzis
  * libyzis
     allow GUI to start without argument to start a new buffer
     make sure we always keep the first line to avoid NULL problems

2003-06-07 orzel
  * libyzis
     fixing some more warnings
     fixing a segfault whene deleting lines at the end of a file
     cleaning cursor/current_maxx stuff, which leads to some bugs getting fixed (in rendering)
  * nyzis
     implementing the new virtual command-related functions from the lib
     now displays x,y and percentage in file

2003-06-02 orzel
  * Whole
     changed YZ_EV_SETLINE for YZ_EV_INVALIDATE_LINE and YZ_EV_REDRAW and updated
     the whole project accordingly
     fixed several warnings
  * libyzis
     YZBuffer::updateView() removed, obsoloted by YZView->redrawScreen()
     added YZBuffer->getLines();
     added YZView->gotoCommandMode() for consistency, so that now the 'mode' var
     is changed only in goto*Mode();
  * nyzis
     added printLine() printVoid() in NYZView

2003-05-31 mikmak
  * kyzis
    added the command line with a combobox :) (does nothing yet)
  * libyzis
    added command 'dd','o','O','a','A'

2003-05-30 mikmak
  * libyzis
    changed QString handles in yz_events
  * kyzis
    fixed file displayed in loop

2003-05-29 orzel
  * fixing bugs in nyzis + misc

2003-05-29 mikmak
  * kyzis
     fixed desktop file
  * libyzis
     changed sendChar and friends to handle a QString instead of a QChar => I
     broke inputs :)

2003-05-28 orzel
  * some warning fixed
  * yz_event_setstatus now uses a QString* instead of a char*, as does setline
  * some code factorization -> gotoxy()

2003-05-24 mikmak
  * migration to Subversion completed :)

2003-04-25 Neil Stevens (patch)
  * libyzis
    added $,^ and x commands (thanks :)

2003-04-25 mikmak
  * libyzis
    added 'gg' and 'G' commands
    added 'ZZ' command, it saves but does not exit for now
    fixed jumping cursor at end of file when pressing 'j'
    enabled scrolling
    fixed G going one line too far
    support "enter" to create newline in INSERT mode
  * kyzis
    ignore Shift/Control/Meta for now
    removed some drawing hacks
    enabled scrolling
    adapt moving cursor with mouse according to scroll

2003-04-24 mikmak
  * libyzis
    made the commands work
    some commands fully implemented (h,j,k,l,i,R)
    fixed cursor disappearing in the deep space (on left)
    moved the event loop to a QValueList
    fixed position of cursor after mouse press event
  * kyzis
    fixed position of the display (first line was hidden)
    fixed (again) display problem while inserting text
    updated to the new event loop API
    fixed cursor badly displayed at (0,0)
  * nyzis
    updated to the new event loop API

2003-04-23 mikmak
  * libyzis
    make the new command handling active (broken right now :)
    fix various problems
    
  * kyzis/nyzis
    update to some API changes in libyzis

2003-04-22 mikmak
  * libyzis
    buffers owns the views
    session owns the buffers
    added some QMap/QPtrList around to replace old C stuff

2003-04-21 mikmak
  * libyzis
    added beginning of plugin interface
    
2003-04-20 mikmak
  * libyzis
    added yz_commands stuff

2003-04-19 mikmak
  * libyzis
    fixed find_line() in yz_buffer
    fixed all calls to find_line()
    started handling of commands with multiple keystroke ('gg')

2003-04-18 mikmak
  * fix headers
  * fix code looking

2003-04-17 mikmak
  * libyzis/kyzis
    fixed cursor going to negative position
    fixed current in yzview after j/k commands

2003-04-17 mikmak
  * libyzis
    fixed appends command
    started scrolling text implementation

2003-04-13 00:27  mikmak
	* kyzis
    yeah we have a cursor in kyzis now :) not perfect yet but it's here

2003-04-12 11:49  mikmak
	* libyzis/yz_view.cpp
    check length of lines

2003-04-10 20:56  mikmak
	* nyzis
    rename nyzis to yzis as it is the default editor

2003-04-06 20:14  mikmak
	* nyzis
    opening file given as parameter is better ...

2003-04-06 20:10  mikmak
	* nyzis
    displaying is back in nyzis :)

2003-04-06 18:45  mikmak
	* kyzis
    make it with a better background :)

2003-04-06 18:36  mikmak

	* kyzis/kyzisedit.cpp: no more flickering :) ugly but works

2003-04-06 18:10  mikmak

	* kyzis/: kyzisedit.cpp, kyzisview.cpp: now we can insert text and
	display correctly it flickers a bit though ...

2003-04-06 17:20  mikmak

	* libyzis/yz_buffer.cpp: fix adding char.  it's usefull to update
	the new text in the list too :)

2003-04-06 15:52  mikmak

	* libyzis/yz_cursor.lo: remove crap

2003-04-06 15:52  mikmak

	* libyzis/: Makefile.am, yz_buffer.cpp, yz_cursor.cpp, yz_cursor.h,
	yz_cursor.lo, yz_view.cpp, yz_view.h: adding YZCursor stuff

2003-03-24 23:11  mikmak

	* kyzis/kyzisedit.cpp, libyzis/yz_view.cpp, libyzis/yz_view.h: ok
	it display the text nearly perfectly i'll see for scrolling now :)

2003-03-17 22:10  mikmak

	* kyzis/kyzisedit.cpp, kyzis/kyzisedit.h, libyzis/yz_view.cpp,
	libyzis/yz_view.h: let's display text again :) it's not yet really
	aware of updates yet, but that will come

2003-03-16 23:53  mikmak

	* libyzis/yz_buffer.h, libyzis/yz_session.h, nyzis/main.cpp,
	nyzis/nyz_session.h, nyzis/nyz_view.cpp, nyzis/nyz_view.h: fixing
	compilation
	
		*** WARNING WARNING ***
	Qt includes can conflict with curses.h curses.h must ALWAYS be
	included last

2003-03-16 21:07  mikmak

	* kyzis/: kyzisedit.cpp, kyzisedit.h, kyzisview.cpp: removed
	qtextedit started QScrollView for replacement

2003-03-16 21:06  mikmak

	* libyzis/: Makefile.am, yz_buffer.cpp, yz_buffer.h, yz_events.cpp,
	yz_events.h, yz_line.cpp, yz_line.h, yz_view.cpp: major change
	->use QStringList to manage the loaded file and use QStrings to
	manage lines

2003-03-15 23:24  mikmak

	* kyzis/kyzisview.h: eventMgr->Gui

2003-03-15 23:23  mikmak

	* libyzis/: event_mgr.h, gui.h, yz_view.cpp, yz_view.h: improve
	naming :) the eventMgr class is now just "Gui"

2003-03-14 20:43  mikmak

	* admin/configure.in.bot.end: warn the user that TinyQ is better
	than Qt for nyzis :)

2003-03-14 20:13  mikmak

	* configure.in.in, nyzis/Makefile.am: more updates to configure
	system now we can use Qt to compile nyzis if TinyQ is not there.

2003-03-14 01:11  mikmak

	* libyzis/: libqtyzis/.cvsignore, libtinyqyzis/.cvsignore:
	CVS_SILENT ignore files

2003-03-14 01:11  mikmak

	* libyzis/: libqtyzis/Makefile.am, libtinyqyzis/Makefile.am: new
	arch

2003-03-14 01:10  mikmak

	* configure.in.in, libyzis/Makefile.am, nyzis/Makefile.am: new
	configure arch

2003-03-14 01:09  mikmak

	* kyzis/Makefile.am: update this one for the new architecture

2003-03-14 01:09  mikmak

	* admin/acinclude.m4.in: rewritting configure stuff :)

2003-03-12 22:41  mikmak

	* admin/: Doxyfile.global, Makefile.common, acinclude.m4.in,
	am_edit, debianrules, libtool.m4.in, nmcheck: added a KDE-CVS
	branch for admin/ so that we can update easily with kde-common
	merge our changes with the current kde-common

2003-03-12 22:12  mikmak

	* admin/: Doxyfile.global, Makefile.common, acinclude.m4.in,
	am_edit, debianrules, libtool.m4.in, nmcheck: kde-cvs update

2003-03-12 22:12  mikmak

	* admin/nmcheck: file nmcheck was initially added on branch
	KDE-CVS.

2003-03-11 22:07  mikmak

	* kyzis/kyzis_part.cpp, kyzis/kyzis_part.h, kyzis/kyzisdoc.cpp,
	kyzis/kyzisview.cpp, libyzis/yz_buffer.cpp, libyzis/yz_buffer.h,
	libyzis/yz_view.cpp: now kyzis can open files :) it's ugly because
	i havent well done the stuff in qtextedit, since i want to drop it
	:)

2003-03-10 00:22  mikmak

	* libyzis/: yz_buffer.cpp, yz_events.cpp, yz_events.h, yz_view.cpp:
	cleanup new mk_event_setline new open() with QFile, much easier
	
	bug to fix : lines are not displayed in views...

2003-03-09 22:18  mikmak

	* libyzis/yz_view.cpp: remove debug printf we need something to
	debug correctly :)

2003-03-09 22:16  mikmak

	* nyzis/: nyz_session.cpp, nyz_session.h: make it compile

2003-03-09 22:14  mikmak

	* kyzis/: kyzisedit.cpp, kyzisview.cpp, kyzisview.h: kyzis now
	handles events correctly :) we need to make the whole thingy work
	now currently it can changes modes, but no input is done yet

2003-03-09 22:13  mikmak

	* libyzis/: yz_buffer.cpp, yz_events.cpp, yz_events.h, yz_view.cpp,
	yz_view.h: minor modifications for events

2003-03-07 22:02  mikmak

	* kyzis/: kyzisview.cpp, kyzisview.h: implem for event_mgr kyzis
	merge libyzis events into Qt's Eventloop.  seems to work fine we
	need to debug libyzis now :)

2003-03-07 22:01  mikmak

	* libyzis/: event_mgr.h, yz_buffer.cpp, yz_events.h, yz_view.cpp,
	yz_view.h: adding the event_mgr interface. this one is used to send
	events directly to GUIs :)

2003-03-05 00:48  mikmak

	* kyzis/: kyzis.cpp, kyzis.h, kyzisedit.cpp, kyzisedit.h,
	kyzisview.cpp, kyzisview.h: begin of events managements linked with
	libyzis, i think i am on the good way :) don't try it keeps
	crashing libyzis is buggy :)

2003-03-02 18:53  mikmak

	* kyzis/Makefile.am, nyzis/Makefile.am: compile when
	builddir!=srcdir :)

2003-03-02 03:15  mikmak

	* libyzis/.cvsignore: renamed dummy file

2003-03-02 03:15  mikmak

	* kyzis/Makefile.am, libyzis/Makefile.am, nyzis/Makefile.am: ok ,
	here is the second try :) everything is libtoolised now.
	
	we use a fake libtool lib in libyzis to build 2 others libs :
	libqtyzis and libtinyqyzis first one is linked with qt the other
	with tinyq.
	
	nyzis uses libtinyqyzis as a shared lib (can be static easily i
	think) and kyzis uses libqtyzis as shared.
	
	kyzis and nyzis both work here.

2003-03-02 01:21  mikmak

	* libyzis/.cvsignore, libyzis/Makefile.am, nyzis/Makefile.am: ok
	let's try that : what we wants : -> kyzis using shared libyzis +
	shared Qt instead of shared TinyQ (avoids loading twice the same
	stuff) -> nyzis using static libyzis statically linked with tinyq
	(quicker loading and smaller)
	
	how it is currently done : libyzis is first built as a static
	library without tinyqt, then it is built again as a libtool lib
	usable for kyzis. Nyzis can then be compiled linking with the
	static tinyq.
	
	That seems to work :)

2003-03-01 01:34  mikmak

	* kyzis/kyzisedit.cpp, kyzis/kyzisview.cpp, libyzis/yz_view.cpp: ok
	kyzis has a view now :) qtextedit for now, we will change that
	later

2003-03-01 00:47  mikmak

	* .cvsignore, README, admin/acinclude.m4.in, libyzis/Makefile.am,
	libyzis/yz_buffer.cpp, libyzis/yz_buffer.h, libyzis/yz_line.cpp,
	libyzis/yz_line.h, libyzis/yz_view.cpp, libyzis/yz_view.h,
	libyzis/yzis.h, nyzis/nyz_session.cpp, nyzis/nyz_view.cpp: yeah,
	here comes TinyQ :) read the README for notes about it.
	
	libyzis and nyzis have been ported to tinyq.  cyzis is disabled for
	now.  I removed all C bindings since it appears we wont work on
	that in the near future.
	
	YZLine is basically a QString now.  It compiles and runs for me
	except nyzis does not properly open the test file.  Prolly some
	memory problem in allocating YZLines. Maybe we can change that to a
	more QtLike stuff.
	
	And :
	
							*********** Happy
	Birthday Thomas :) ****************
	
	Mik

2003-02-28 00:14  mikmak

	* acinclude.m4, config.h.in, configure.in, kyzis/Makefile.am,
	kyzis/kyzisdoc.cpp, kyzis/kyzisedit.cpp, kyzis/kyzisedit.h,
	kyzis/kyzisview.cpp, kyzis/kyzisview.h, kyzis/kyzsession.cpp,
	nyzis/Makefile.am, nyzis/main.cpp: may not run, but it compiles at
	least :) tinyq should be setup properly in Makefiles

2003-02-28 00:07  mikmak

	* libyzis/Makefile.am: TinyQ enabled (shared lib)

2003-02-27 23:11  mikmak

	* configure.in.in: TinyQ check

2003-02-27 23:10  mikmak

	* admin/acinclude.m4.in: adding TinyQ support

2003-02-27 21:00  orzel

	* libyzis/: yz_buffer.h, yz_events.h, yz_line.h, yz_session.h,
	yz_view.h, yzis.h: fix comments for ansi c compliance

2003-02-27 20:52  mikmak

	* libyzis/: yz_buffer.cpp, yz_events.h, yz_line.h, yz_view.cpp,
	yzis.h: maybe that can help Neil :)

2003-02-26 01:11  mikmak

	* kyzis/: Makefile.am, kyzisdoc.cpp, kyzisdoc.h, kyzisedit.cpp,
	kyzisview.cpp, kyzisview.h, kyzsession.cpp, kyzsession.h: now we
	start using the lib, no display, no events yet but that will come
	:)

2003-02-23 23:58  mikmak

	* acinclude.m4, admin/acinclude.m4.in, kyzis/Makefile.am,
	libyzis/yz_line.h: reenabled compiler warnings and made it compile
	with them :)

2003-02-22 01:48  mikmak

	* TODO: again ...

2003-02-22 01:46  mikmak

	* TODO: testing again

2003-02-22 01:42  mikmak

	* TODO: testing again

2003-02-22 01:41  mikmak

	* TODO: testing reply to

2003-02-22 01:05  orzel

	* nyzis/nyz_session.cpp: some tries with notimeout() doesn't work,
	so stay commented out

2003-02-22 01:04  orzel

	* libyzis/: yz_line.cpp, yz_view.cpp: fix some small bugs

2003-02-22 01:04  mikmak

	* Design: fixed c++ <-> c

2003-02-21 00:34  mikmak

	* kyzis/kyzis_part.desktop: show it as a ktexteditor

2003-02-21 00:02  mikmak

	* kyzis/: Makefile.am, kyzis.desktop, kyzis_factory.cpp,
	kyzis_factory.h, kyzisdoc.cpp, kyzisdoc.h, kyzisedit.cpp,
	kyzisedit.h, kyzisview.cpp, kyzisview.h, main.cpp: ktexteditor
	coming in !

2003-02-20 20:15  mikmak

	* kyzis/.cvsignore, libyzis/.cvsignore, libyzis/Makefile.am,
	libyzis/yzis.h: cleanup

2003-02-20 19:40  mikmak

	* .cvsignore, Makefile.am, Makefile.cvs, VERSION, acinclude.m4,
	config.guess, config.h.in, config.sub, configure.in,
	configure.in.in, install-sh, ltmain.sh, missing, mkinstalldirs,
	admin/ChangeLog, admin/Doxyfile.am, admin/Doxyfile.global,
	admin/Makefile.common, admin/acinclude.m4.in, admin/am_edit,
	admin/compile, admin/conf.change.pl, admin/config.guess,
	admin/config.pl, admin/config.sub, admin/configure.in.bot.end,
	admin/configure.in.min, admin/cvs-clean.pl, admin/cvs.sh,
	admin/debianrules, admin/depcomp, admin/detect-autoconf.sh,
	admin/install-sh, admin/libtool.m4.in, admin/ltmain.sh,
	admin/missing, admin/mkinstalldirs, admin/ylwrap, kyzis/.cvsignore,
	kyzis/Makefile.am, kyzis/hi16-app-kyzis.png,
	kyzis/hi32-app-kyzis.png, kyzis/hi48-app-kyzis.png,
	kyzis/kyzis.cpp, kyzis/kyzis.desktop, kyzis/kyzis.h,
	kyzis/kyzis_part.cpp, kyzis/kyzis_part.desktop, kyzis/kyzis_part.h,
	kyzis/kyzis_part.rc, kyzis/kyzis_shell.rc,
	kyzis/lo16-app-kyzis.png, kyzis/lo32-app-kyzis.png, kyzis/main.cpp,
	libyzis/Makefile.am, libyzis/yzis.h: let's go :) here comes kyzis
	and the KDE build system

2003-02-20 17:08  orzel

	* nyzis/: nyz_session.cpp, nyz_session.h: save/restore cursor stuff

2003-02-20 17:08  orzel

	* libyzis/: yz_events.h, yz_view.cpp: it begins to have a vi
	look&feel

2003-02-20 15:42  orzel

	* libyzis/yz_view.cpp: added '0' and '$' command, it's just too
	useful

2003-02-20 15:38  orzel

	* libyzis/: yz_view.cpp, yz_view.h: ok, now we can move the cursor

2003-02-20 15:23  orzel

	* nyzis/: nyz_view.cpp, nyz_view.h: introducing  w,h for
	width/height missing move() before rendering a YZLine inversion bug
	fixed in setcurosr move()

2003-02-20 15:22  orzel

	* libyzis/yz_line.cpp: remove debug output

2003-02-20 15:22  orzel

	* libyzis/: yz_events.cpp, yz_events.h: adding mk_event_setcursor

2003-02-20 15:21  orzel

	* libyzis/yz_buffer.cpp: remove the \n before creating the YZLine

2003-02-20 00:15  orzel

	* nyzis/: main.cpp, nyz_view.h, nyzis.h: new session stuff first
	work on 'rendering' in nyzis well, at least it *looks* like vim

2003-02-20 00:14  orzel

	* nyzis/nyz_view.cpp: constructor in cpp and switched to
	session->update_status()

2003-02-20 00:13  orzel

	* libyzis/yz_view.cpp: beginning of input handling (mostly while in
	command mode)

2003-02-20 00:12  orzel

	* nyzis/: Makefile.am, nyz_session.cpp, nyz_session.h: basic
	session management for nyzis

2003-02-20 00:12  orzel

	* libyzis/yz_buffer.cpp: remove debug output and uses
	YZ_EV_SETCURSOR

2003-02-20 00:10  orzel

	* libyzis/: Makefile.am, yz_session.cpp, yz_session.h: basic
	session management in lib

2003-02-18 15:59  orzel

	* nyzis/: main.cpp, nyz_view.cpp: handles new event YZ_EV_SETSTATUS

2003-02-18 15:59  orzel

	* libyzis/: Makefile.am, yz_events.cpp, yz_events.h: new event :
	YZ_EV_SETSTATUS first help function to generates events        ->
	hence new file yz_events.cpp

2003-02-18 00:47  orzel

	* .cvsignore, Makefile.am, cyzis/.cvsignore, kyzis/.cvsignore: misc
	minor stuff

2003-02-16 17:22  mikmak

	* .cvsignore, AUTHORS, ChangeLog: minor updates

2003-02-16 17:21  mikmak

	* libyzis/yz_session.h: add session concept

2003-02-15 13:53  mikmak

	* libyzis/yzis.h: fix panic, it exited before flush

2003-02-14 21:25  orzel

	* nyzis/: main.cpp, nyz_view.cpp, nyzis.h: now we display the
	content of the file (roughly)

2003-02-14 21:24  orzel

	* libyzis/: yz_buffer.cpp, yz_buffer.h, yz_line.cpp, yzis.h: bug
	fixing and some some debug output

2003-02-14 20:40  orzel

	* libyzis/: yz_buffer.cpp, yz_buffer.h, yz_line.h, yz_view.cpp,
	yz_view.h: fix ambiguous names for some vars

2003-02-14 19:56  orzel

	* nyzis/: .cvsignore, nyz_view.cpp, nyzis.h: stores YZLine pointer
	locally (really usefull?? well. costs nothing)

2003-02-14 19:54  orzel

	* libyzis/: .cvsignore, yz_buffer.cpp, yz_buffer.h, yz_line.cpp,
	yz_line.h: sVSck&dirty add/chg_char implementation :
	-------------------------------------------------------------------
	---

2003-02-13 01:38  orzel

	* nyzis/: main.cpp, nyz_view.cpp, nyzis.h, tests/test1: basic test1
	file (with a huuuuuge line in it) some debug stuff to test events
	from core

2003-02-13 01:37  orzel

	* nyzis/Makefile.am: i just like the 're' rule

2003-02-13 01:35  orzel

	* libyzis/: yz_buffer.cpp, yz_buffer.h: oops.. i swear i had tested
	it compiled.. Well, now it does

2003-02-13 01:32  orzel

	* libyzis/: Makefile.am, yz_buffer.cpp, yz_buffer.h, yz_line.cpp,
	yz_line.h, yz_microbuffer.cpp, yz_microbuffer.h, yz_view.cpp:
	microbuffer was stupid. merged with YZLine basic loading of a file
	implemented, as well as updating (through events) guis while doing
	so

2003-02-13 00:04  orzel

	* libyzis/yzis.h: yz_assert() added

2003-02-13 00:00  mikmak

	* cyzis/Makefile.am, nyzis/Makefile.am: build when srcdir!=builddir

2003-02-12 23:07  mikmak

	* configure.in, cyzis/.cvsignore, cyzis/Makefile.am,
	libyzis/Makefile.am: fix compilation of cyzis

2003-02-12 19:51  mikmak

	* configure.in: try to fix SED

2003-02-12 01:50  orzel

	* kyzis/.cvsignore, nyzis/.cvsignore: .deps added

2003-02-12 01:47  orzel

	* libyzis/: .cvsignore, Makefile.am, yz_buffer.cpp, yz_buffer.h,
	yz_line.h, yz_microbuffer.cpp, yz_microbuffer.h: first stuff about
	actual file handling	    load/save	    local buffers

2003-02-12 01:46  orzel

	* libyzis/yz_events.h: compilation fixes for c api

2003-02-12 01:45  orzel

	* libyzis/yz_view.h: added is_line_visible

2003-02-12 01:41  orzel

	* cyzis/: .cvsignore, main.c: updates wrt latest libyzis

2003-02-12 01:14  orzel

	* cyzis/Makefile.am: mm... display is obsolete (and was not a
	program...)

2003-02-11 23:21  mikmak

	* TODO: testing CCMAIL:mikmak@freenux.org

2003-02-11 23:17  mikmak

	* Makefile.am, configure.in, cyzis/Makefile.am, nyzis/.cvsignore,
	nyzis/Makefile, nyzis/Makefile.am: nyzis compilation

2003-02-11 23:05  mikmak

	* Makefile.am, configure.in: compile cyzis

2003-02-11 23:05  mikmak

	* cyzis/Makefile.am: replace makefile

2003-02-11 23:04  mikmak

	* cyzis/: .cvsignore, Makefile: remove old stuff

2003-02-11 22:15  mikmak

	* libyzis/Makefile.am: lib versioning

2003-02-11 21:33  mikmak

	* .cvsignore: ignore autogenerated files

2003-02-11 21:33  mikmak

	* config.h.in, configure.in, ltmain.sh, libyzis/Makefile,
	libyzis/Makefile.am: libtool now

2003-02-11 21:27  mikmak

	* .cvsignore, libyzis/.cvsignore, libyzis/Makefile.am: autoconf
	going on

2003-02-11 21:11  mikmak

	* Makefile.cvs: going on ...

2003-02-11 21:09  mikmak

	* AUTHORS, COPYING, ChangeLog, INSTALL, Makefile.am, NEWS, README,
	acinclude.m4, config.guess, config.h.in, config.sub, configure.in,
	install-sh, missing, mkinstalldirs: autoconf stuff

2003-02-11 16:20  orzel

	* nyzis/Makefile: oops, this file does not exist in cvs

2003-02-11 15:47  orzel

	* nyzis/nyz_view.cpp: implementation of NYZView

2003-02-11 15:46  orzel

	* nyzis/: Makefile, main.cpp, nyzis.h: switched to new includes in
	libyzis (c++ api) moved event loop in NYZView

2003-02-11 15:44  orzel

	* libyzis/: yz_buffer.cpp, yz_buffer.h, yz_events.h, yz_line.h,
	yz_view.cpp, yz_view.h, yzis.h: quite basic	event handling 
	event pools debug functions added (gui should provide a FILE
	*debugstr, initialised)

2003-02-11 00:39  orzel

	* libyzis/: yz_events.h, yz_line.cpp, yz_line.h, yz_view.cpp,
	yz_view.h: cleaning

2003-02-11 00:11  mikmak

	* TODO: test2

2003-02-11 00:09  mikmak

	* TODO: test

2003-02-11 00:04  mikmak

	* TODO, TODO: test

2003-02-10 22:55  orzel

	* libyzis/: yz_interface.c, yz_interface.h: obsolated

2003-02-10 22:53  orzel

	* libyzis/yz_buffer.cpp: YZBuffer::addchar and YZBuffer::chgchar

2003-02-10 22:51  orzel

	* cyzis/: .cvsignore, Design, Makefile, cyzis.h, main.c: testbed
	for the c api will be maintained, but not as feature-rich as nyzis

2003-02-10 21:48  orzel

	* libyzis/: Makefile, yz_buffer.h, yz_events.h, yz_interface.h,
	yz_line.h, yz_view.h: nettoyage

2003-02-10 21:30  orzel

	* libyzis/: yz_buffer.h, yz_events.h, yz_line.h, yz_view.h: header
	protection

2003-02-10 21:25  orzel

	* libyzis/: Makefile, yz_buffer.cpp, yz_buffer.h, yz_events.h,
	yz_interface.c, yz_interface.h, yz_line.cpp, yz_line.h,
	yz_view.cpp, yz_view.h: ok, now all is done in c++,  with a c
	bindings it compiles. not a lot more though.

2003-02-10 16:19  orzel

	* nyzis/: .cvsignore, Design, Makefile, main.cpp, nyzis.h: first
	code for the ncurses implementation

2003-02-10 16:18  orzel

	* libyzis/: .cvsignore, Makefile, yz_interface.c, yz_interface.h:
	more complete yz_interface.h at least you can compile something
	with it now

2003-02-10 01:16  orzel

	* .cvsignore, kyzis/.cvsignore, libyzis/.cvsignore,
	nyzis/.cvsignore: i use diff in some macros..  and it helps cvs
	creating the (now empty) dir

2003-02-10 01:13  orzel

	* Design: source tree

2003-02-10 01:12  orzel

	* libyzis/yz_interface.h: here's a first try for the API (both c
	and c++)

2003-02-10 00:57  orzel

	* TODO: most important file to have :) let's try not to make it
	grows too much (that is implement/clean it)

2003-02-09 15:39  mikmak

	* .cvsignore, Design: Initial revision

2003-02-09 15:39  mikmak

	* .cvsignore, Design: init
